openfiler (linux) - how to configure sabnzbd!

Get help with all aspects of SABnzbd
Forum rules
Help us help you:
  • Are you using the latest stable version of SABnzbd? Downloads page.
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
Post Reply
n30
Newbie
Newbie
Posts: 5
Joined: April 27th, 2010, 9:46 am

openfiler (linux) - how to configure sabnzbd!

Post by n30 » April 27th, 2010, 9:53 am

first off, i'd like to thank: shypike for his assistance on a few things and ink for pi**ing me off about freenas' lack of hardware support.

next, i will say that the openfiler team does NOT support these modifications. use them at your own risk. when installing openfiler, i'd adjust your / volume to be somewhere around 2gb (for the sake of things -- i made mine 8gb).

this assumes you are using the x86 version of openfiler. when i have more time, i'll see if i can get it working the x64 version.

after your initial openfiler install, update the "core os":
conary update conary
conary updateall

dependencies required for sabnzbd (and to pretty much compile anything else you want on the system):
conary update glibc
conary update gcc
conary update gcc-c++
conary update glibc:runtime
conary update glibc:devellib
conary update glibc:devel
conary update glibc:locale
conary update glibc:lib
conary update python:devel
conary update zlib:devel
conary update ncurses:devel
conary update automake
conary update autoconf
conary update pkgconfig
conary update unzip

Step 1 (Install OpenSSL):
wget http://www.openssl.org/source/openssl-1.0.0.tar.gz
tar zxvf openssl-*
./config --prefix=/usr/
make
make install

Step 2 (Install SQLite): -- this is needed for python --
wget http://www.sqlite.org/sqlite-amalgamati ... 3.1.tar.gz
tar zxvf sqlite*
./configure
make
make install

Step 2a (Install zlib): -- this is needed for python --
wget http://zlib.net/zlib-1.2.5.tar.gz
tar zxvf zlib*
./configure
make
make install

Step 3 (Install Python 2.6):
wget http://www.python.org/ftp/python/2.6.4/Python-2.6.4.tgz
tar xvf Python-*
./configure --prefix=/usr/
make
make install

Step 4 (Install pyOpenSSL)
wget http://pypi.python.org/packages/source/ ... .10.tar.gz
tar zxvf py*
python seutp.py build
python setup.py install

The remaining steps below can be completed in whatever order you prefer:

wget http://downloads.sourceforge.net/projec ... 0.4.tar.gz
tar zxvf par*
./configure
make
make install

wget http://downloads.sourceforge.net/projec ... 0.1.tar.gz
tar zxvf Che*
python setup.py build
python setup.py install

wget http://www.golug.it/pub/yenc/yenc-0.3.tar.gz
tar zxvf yenc*
python setup.py build
python setup.py install

(this is a little hackish -- because rarlinux requires glibc 2.4 or 2.6. glibc 2.3 is what's on openfiler, so we're using the pre-compiled static binaries here. if someone's got a better idea -- i'm all ears)
wget http://www.rarlab.com/rar/rarlinux-3.9.1.tar.gz
tar zxvf rar*
cp rar_static /usr/local/bin/rar
cp rar_static /usr/local/bin/unrar
cp rarfiles.lst /etc
cp default.sfx /usr/local/lib/default.sfx
Last edited by n30 on April 30th, 2010, 7:41 am, edited 1 time in total.

User avatar
shypike
Administrator
Administrator
Posts: 21039
Joined: January 18th, 2008, 12:49 pm

Re: openfiler (linux) - error while loading shared libraries

Post by shypike » April 27th, 2010, 3:34 pm

I know nothing about "openfiler", I assume it's a Linux distro.
You should use PyOpenSSL 0.10 for Python 2.6 and not 0.7
I think you should ask this question on "openfiler" forums too.

n30
Newbie
Newbie
Posts: 5
Joined: April 27th, 2010, 9:46 am

Re: openfiler (linux) - error while loading shared libraries

Post by n30 » April 27th, 2010, 5:39 pm

thanks. i'll give PyOpenSSL 0.10 a go and let you know if it worked. i've tried the openfiler route, but have been told its unsupported if you modify it. have been working with a group of others to get it working ...and what i reported was our last hurdle!

thanks again!

n30
Newbie
Newbie
Posts: 5
Joined: April 27th, 2010, 9:46 am

Re: openfiler (linux) - error while loading shared libraries

Post by n30 » April 27th, 2010, 10:47 pm

gave this go on a x86 build of openfiler, got a LOT further.

[[email protected]]: python SABnzbd.py
Sorry, requires Python module sqlite3 (pysqlite2 in python2.4)
Try: apt-get install python-pysqlite2)

using python2.6 + sqlite3 + pysqlite2

User avatar
shypike
Administrator
Administrator
Posts: 21039
Joined: January 18th, 2008, 12:49 pm

Re: openfiler (linux) - error while loading shared libraries

Post by shypike » April 28th, 2010, 1:47 am

You shouldn't use pysqlite2 when you use Python 2.6.
pysqlite2 is exclusively for Python 2.4, which lacks built-in sqlite support.

n30
Newbie
Newbie
Posts: 5
Joined: April 27th, 2010, 9:46 am

Re: openfiler (linux) - error while loading shared libraries

Post by n30 » April 28th, 2010, 8:01 pm

what version of pysqlite should i be using/where do i get it? seems that the version i downloaded was the latest

User avatar
shypike
Administrator
Administrator
Posts: 21039
Joined: January 18th, 2008, 12:49 pm

Re: openfiler (linux) - error while loading shared libraries

Post by shypike » April 29th, 2010, 2:59 am

sqlite support is already in Python 2.6. You should not need pysqlite.
If for some reason the module is still missing, here's where to get it: http://pypi.python.org/pypi/pysqlite/
Last edited by shypike on April 29th, 2010, 3:02 am, edited 1 time in total.

n30
Newbie
Newbie
Posts: 5
Joined: April 27th, 2010, 9:46 am

Re: openfiler (linux) - error while loading shared libraries

Post by n30 » April 29th, 2010, 9:45 pm

thanks again :). i've finalized my instructions and successfully have installed sabnzbd side-by-side openfiler. should i just edit my first post and provide the updated/correct instructions?

thanks,
n30

Jabroni
Newbie
Newbie
Posts: 7
Joined: July 27th, 2010, 8:15 pm

Re: openfiler (linux) - how to configure sabnzbd!

Post by Jabroni » July 27th, 2010, 11:09 pm

Thanks for this great tutorial. I was just wondering if you tested this on a 32 bit version or a 64bit version of openfiler?

I tried to follow your tutorial on my openfiler x64, however i got stuck compiling pyOpenSSL, not sure if u came to this error:

Code: Select all

building 'OpenSSL.crypto' extension
gcc -pthread -shared build/temp.linux-x86_64-2.6/src/crypto/crypto.o build/temp.linux-x86_64-2.6/src/crypto/x509.o build/temp.linux-x86_64-2.6/src/crypto/x509name.o build/temp.linux-x86_64-2.6/src/crypto/pkey.o build/temp.linux-x86_64-2.6/src/crypto/x509store.o build/temp.linux-x86_64-2.6/src/crypto/x509req.o build/temp.linux-x86_64-2.6/src/crypto/x509ext.o build/temp.linux-x86_64-2.6/src/crypto/pkcs7.o build/temp.linux-x86_64-2.6/src/crypto/pkcs12.o build/temp.linux-x86_64-2.6/src/crypto/netscape_spki.o build/temp.linux-x86_64-2.6/src/util.o -lssl -lcrypto -o build/lib.linux-x86_64-2.6/OpenSSL/crypto.so
/usr/bin/ld: /usr/lib64/gcc/x86_64-unknown-linux/3.4.4/../../../../lib64/libcrypto.a(cryptlib.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
/usr/lib64/gcc/x86_64-unknown-linux/3.4.4/../../../../lib64/libcrypto.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
error: command 'gcc' failed with exit status 1




And if I try to run the SABnzbd.py

Code: Select all

SABnzbd-0.5.3/cherrypy/lib/cptools.py:8: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  from md5 import new as md5
Traceback (most recent call last):
  File "./SABnzbd.py", line 44, in <module>
    import cherrypy
  File "/mnt/volraid/vol1/sab/SABnzbd-0.5.3/cherrypy/__init__.py", line 161, in <module>
    from cherrypy import _cptools
  File "/mnt/volraid/vol1/sab/SABnzbd-0.5.3/cherrypy/_cptools.py", line 226, in <module>
    from cherrypy.lib import cptools, encoding, auth, static, tidy
  File "/mnt/volraid/vol1/sab/SABnzbd-0.5.3/cherrypy/lib/cptools.py", line 8, in <module>
    from md5 import new as md5
  File "/usr/lib/python2.6/md5.py", line 10, in <module>
    from hashlib import md5
  File "/usr/lib/python2.6/hashlib.py", line 136, in <module>
    md5 = __get_builtin_constructor('md5')
  File "/usr/lib/python2.6/hashlib.py", line 63, in __get_builtin_constructor
    import _md5
ImportError: No module named _md5
Any idea what I could be missing to make them compile??

UPDATE:

I could finally install pyOpenSSL, I just had to run the config scrip with the param 'shared', ie   ./config --prefix=/usr/ shared

But sabnzbd still returns the same ImportError :(

UPDATE2:

Well after playing around, on the Python untar source, I ran make samples, and it compiled a _hashlib.so, then i moved that to /usr/lib/python2.6/lib-dynload/_hashlib.so and now SABNZBd works  ;D
Last edited by Jabroni on July 28th, 2010, 2:26 pm, edited 1 time in total.

stabu
Jr. Member
Jr. Member
Posts: 64
Joined: December 10th, 2008, 10:02 pm

Re: openfiler (linux) - how to configure sabnzbd!

Post by stabu » September 28th, 2010, 12:24 pm

Wheres the part for installing sabnzbd?

Einsteiniac
Newbie
Newbie
Posts: 1
Joined: May 8th, 2011, 4:37 am

Re: openfiler (linux) - how to configure sabnzbd!

Post by Einsteiniac » May 8th, 2011, 4:43 am

Hey guys I just started an openfiler server as well I am running x64 and version 2.9

These instructions work great but I get stuck.  When I go to install python I get a warning on Make of Python.  It basically says this:

Failed to find the necessary bits to build these modules:
_bsddb            _sqlite3          _tkinter       
bsddb185          bz2                dbm           
dl                gdbm              imageop       
readline          sunaudiodev                       
To find the necessary bits, look in setup.py in detect_modules() for the module's name.


Failed to build these modules:
_hashlib          _ssl     


if I make install then move on to pyopenssl I get my next set of errors.


gcc -pthread -shared build/temp.linux-x86_64-2.6/src/crypto/crypto.o build/temp.linux-x86_64-2.6/src/crypto/x509.o build/temp.linux-x86_64-2.6/src/crypto/x509name.o build/temp.linux-x86_64-2.6/src/crypto/pkey.o build/temp.linux-x86_64-2.6/src/crypto/x509store.o build/temp.linux-x86_64-2.6/src/crypto/x509req.o build/temp.linux-x86_64-2.6/src/crypto/x509ext.o build/temp.linux-x86_64-2.6/src/crypto/pkcs7.o build/temp.linux-x86_64-2.6/src/crypto/pkcs12.o build/temp.linux-x86_64-2.6/src/crypto/netscape_spki.o build/temp.linux-x86_64-2.6/src/util.o -lssl -lcrypto -o build/lib.linux-x86_64-2.6/OpenSSL/crypto.so
/usr/bin/ld: /usr/lib64/gcc/x86_64-unknown-linux/4.4.4/../../../../lib64/libcrypto.a(cryptlib.o): relocation R_X86_64_32 against `OPENSSL_ia32cap_P' can not be used when making a shared object; recompile with -fPIC
/usr/lib64/gcc/x86_64-unknown-linux/4.4.4/../../../../lib64/libcrypto.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
error: command 'gcc' failed with exit status 1
[[email protected] pyOpenSSL-0.10]# cd ..
[[email protected] downloads]# ls

Essentially from here on out anything python related doesnt work.  Any ideas here?

Mark

TheSanManCan
Newbie
Newbie
Posts: 1
Joined: March 17th, 2012, 1:10 am

Re: openfiler (linux) - how to configure sabnzbd!

Post by TheSanManCan » March 17th, 2012, 1:27 am

I too am trying to install on openfiler and am having the same issues as Einsteiniac and jabroni.
Jabroni I am hoping you are still subscribed to this thread and can state exactly how you got it working?

You said to run ./config --prefix=/usr/ shared but pyOpenSSL is a python setup.py script so how can you run that?

I tried re running ./configure with that option on the Python 2.6 folder and did a make and make install again but it did not change anything I still get the error in pyOpenSSL

I also ran into a problem installing PAR2CMD Here is how I fixed that for anyone else who gets an error
*****ReedSolom.cpp Error for par2cmdline
Open up the magic tool and cure for all the problems in the univers: vim , and edit reedsolomon.cpp
Run this command (after pressing ‘Esc’ and ‘:’ (which puts you in command mode ))

:%s/^bool ReedSolomon/template <> bool ReedSolomon/g
save and retry this worked for me.

Also I had problems because I thought running conary update Python would be enough to install python and the same with a few other packages and running conary query Python showed the right version installed but I was running into problems installing other packages until I actually downloaded it using wget from the instructions above. so make sure you download all of the packages that you need to above using wget.

Cylindric
Newbie
Newbie
Posts: 2
Joined: February 4th, 2013, 8:59 am

Re: openfiler (linux) - how to configure sabnzbd!

Post by Cylindric » February 4th, 2013, 9:09 am

I was also getting the compilation errors on pyOpenSSL. I had to change the aboce config option for openSSL to:

Code: Select all

./config --prefix=/usr/ -fPIC
And the Python configure command needs to have the --enable-shared flag:

Code: Select all

./configure --prefix=/usr/ --enable-shared

Cylindric
Newbie
Newbie
Posts: 2
Joined: February 4th, 2013, 8:59 am

Re: openfiler (linux) - how to configure sabnzbd!

Post by Cylindric » February 4th, 2013, 9:19 am

I also had to change the par2cmdline section to fix a compilation error::

Code: Select all

wget http://downloads.sourceforge.net/project/parchive/par2cmdline/0.4/par2cmdline-0.4.tar.gz
tar xzf par2*
cd par2*
wget http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-arch/par2cmdline/files/par2cmdline-0.4-gcc4.patch
patch -p1 < *.patch
./configure
make
make install

eliseroth
Newbie
Newbie
Posts: 1
Joined: February 5th, 2013, 9:48 am

Re: openfiler (linux) - how to configure sabnzbd!

Post by eliseroth » February 5th, 2013, 9:52 am

Where should this code be inserted?

Post Reply